library(ggplot2)
# Loading the data, adapt the path if needed
mi <- read.csv("~/Documents/HTS/exercises/data/mi.csv")

# Quick histogram of the ages
hist(mi$Age)

# Heart rate boxplots by sex
ggplot(mi, aes(x = Sex, y = HeartRate, color = Sex)) +
  geom_boxplot() +
  geom_jitter(alpha = 0.5, width = 0.15) +
  theme(legend.position = "none") +
  coord_flip()

# Age boxplots by cannabis usage
ggplot(mi, aes(x = UsesCannabis, y = Age, color = UsesCannabis)) +
  geom_boxplot() +
  geom_jitter(alpha = 0.5, width = 0.15) +
  theme(legend.position = "none") +
  coord_flip()


library(RColorBrewer)
display.brewer.all()

# Age boxplots by cannabis usage, tweaking colours
ggplot(mi, aes(x = UsesCannabis, y = Age, color = UsesCannabis)) +
  geom_boxplot() +
  geom_jitter(alpha = 0.5, width = 0.15) +
  theme(legend.position = "none") +
  coord_flip() +
  scale_color_brewer(palette = "XXX") # replace XXX by a palette name of RColorBrewer

